export declare type ValidationResult = {
    success: boolean;
    message: string;
    negatedMessage: string;
};
export declare type Validator = (value: any) => ValidationResult | boolean;
export declare type AsyncValidator = (value: any) => Promise<ValidationResult | boolean>;
export declare function validateSatisfy(value: any, negated: boolean, fn: Validator | AsyncValidator): void | Promise<void>;
export declare function isValidationResult(value: unknown): value is ValidationResult;
